Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui
Interface Window

All Superinterfaces:
  Context, Disposable, Panel

    public interface Window

extends Panel

Field Summary
`static int` | `ADD_FILE`
`static int` | `CANCEL_RESULT`
`static int` | `ERROR_MESSAGE`
`static int` | `INFORMATION_MESSAGE`
`static java.lang.String` | `MAIN_WINDOW_ID`
`static int` | `NO_RESULT`
`static int` | `OPEN_FILE`
`static int` | `PLAIN_MESSAGE`
`static int` | `QUESTION_CANCEL_MESSAGE`
`static int` | `QUESTION_MESSAGE`
`static int` | `RESIZABLE_OK_CANCEL_MESSAGE`
`static int` | `RESIZABLE_PLAIN_MESSAGE`
`static int` | `SAVE_FILE`
`static int` | `WARNING_MESSAGE`
`static int` | `YES_OK_RESULT`

Fields inherited from interface de.grogra.pf.ui.Panel
`DEC_WAIT_CURSOR, DEFAULT_CURSOR, INC_WAIT_CURSOR, INHERIT_CURSOR, PANEL_ID, WAIT_CURSOR`

Method Summary
`FileChooserResult` | `chooseFile(java.lang.String title, java.io.File directory, javax.swing.filechooser.FileFilter[] filters, int type, boolean mustExist, javax.swing.filechooser.FileFilter selectedFilter)`
`Layout` | `getLayout()`
`Panel` | `getPanel(java.lang.String panelId)`
`Panel[]` | `getPanels(ObjectToBoolean<Panel> filter)`
`java.util.Map` | `getUIPropertyMap()`
`Workbench` | `getWorkbench()` Determines the workbench of this GUI context.
`void` | `hide()`
`void` | `initializeWorkbench(Workbench wb)`
`boolean` | `isVisible()`
`void` | `setLayout(Layout layout, Map params)`
`void` | `setMenuVisibility(boolean value)`
`int` | `showChoiceDialog(java.lang.String title, I18NBundle bundle, java.lang.String keyBase, java.lang.String[] options)`
`int` | `showDialog(java.lang.String title, java.lang.Object message, int type)`
`java.lang.String` | `showInputDialog(java.lang.String title, java.lang.Object message, java.lang.String initial)`
`Disposable` | `showWaitMessage(java.lang.String toComplete)`

Methods inherited from interface de.grogra.pf.ui.Panel
`checkClose, getContent, getDecorator, getMenu, getPanelId, initDecorator, resolve, setContent, setCursor, setMenu, show`

Methods inherited from interface de.grogra.pf.ui.Context
`getComponent, getPanel, getWindow`

Methods inherited from interface de.grogra.util.Disposable
`dispose`

Field Detail

### ADD_FILE

    static final int ADD_FILE

See Also:
  Constant Field Values

### CANCEL_RESULT

    static final int CANCEL_RESULT

See Also:
  Constant Field Values

### ERROR_MESSAGE

    static final int ERROR_MESSAGE

See Also:
  Constant Field Values

### INFORMATION_MESSAGE

    static final int INFORMATION_MESSAGE

See Also:
  Constant Field Values

### MAIN_WINDOW_ID

    static final java.lang.String MAIN_WINDOW_ID

See Also:
  Constant Field Values

### NO_RESULT

    static final int NO_RESULT

See Also:
  Constant Field Values

### OPEN_FILE

    static final int OPEN_FILE

See Also:
  Constant Field Values

### PLAIN_MESSAGE

    static final int PLAIN_MESSAGE

See Also:
  Constant Field Values

### QUESTION_CANCEL_MESSAGE

    static final int QUESTION_CANCEL_MESSAGE

See Also:
  Constant Field Values

### QUESTION_MESSAGE

    static final int QUESTION_MESSAGE

See Also:
  Constant Field Values

### RESIZABLE_OK_CANCEL_MESSAGE

    static final int RESIZABLE_OK_CANCEL_MESSAGE

See Also:
  Constant Field Values

### RESIZABLE_PLAIN_MESSAGE

    static final int RESIZABLE_PLAIN_MESSAGE

See Also:
  Constant Field Values

### SAVE_FILE

    static final int SAVE_FILE

See Also:
  Constant Field Values

### WARNING_MESSAGE

    static final int WARNING_MESSAGE

See Also:
  Constant Field Values

### YES_OK_RESULT

    static final int YES_OK_RESULT

See Also:
  Constant Field Values

Method Detail

### chooseFile

    FileChooserResult chooseFile(java.lang.String title,
                                 java.io.File directory,
                                 javax.swing.filechooser.FileFilter[] filters,
                                 int type,
                                 boolean mustExist,
                                 javax.swing.filechooser.FileFilter selectedFilter)

  Parameters:
    `title` -
    `directory` -
    `filters` -
    `type` -
    `mustExist` -
    `selectedFilter` - - the selected file filter type
  Returns:

### getLayout

    Layout getLayout()

### getPanel

    Panel getPanel(java.lang.String panelId)

### getPanels

    Panel[] getPanels(ObjectToBoolean<Panel> filter)

### getUIPropertyMap

    java.util.Map getUIPropertyMap()

  Specified by:
    `getUIPropertyMap` in interface `Panel`

### getWorkbench

    Workbench getWorkbench()

  Description copied from interface: `Context`
  Determines the workbench of this GUI context.

  Specified by:
    `getWorkbench` in interface `Context`
  Returns:
    this context's workbench

### hide

    void hide()

### initializeWorkbench

    void initializeWorkbench(Workbench wb)

### isVisible

    boolean isVisible()

### setLayout

    void setLayout(Layout layout,
                   Map params)

### setMenuVisibility

    void setMenuVisibility(boolean value)

### showChoiceDialog

    int showChoiceDialog(java.lang.String title,
                         I18NBundle bundle,
                         java.lang.String keyBase,
                         java.lang.String[] options)

### showDialog

    int showDialog(java.lang.String title,
                   java.lang.Object message,
                   int type)

### showInputDialog

    java.lang.String showInputDialog(java.lang.String title,
                                     java.lang.Object message,
                                     java.lang.String initial)

### showWaitMessage

    Disposable showWaitMessage(java.lang.String toComplete)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD